SDO_Model_Type::isDataType
SDO_Model_Type::isOpenType
SDO Functions
PHP Manual

# SDO_Model_Type::isInstance

(No version information available, might be only in CVS)

SDO_Model_Type::isInstance — Test for an SDO_DataObject being an instance of this SDO_Model_Type

### Description

bool SDO_Model_Type::isInstance ( SDO_DataObject `$data_object` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Test for an SDO_DataObject being an instance of this SDO_Model_Type. Returns `TRUE` if the SDO_DataObject provided is an instance of this SDO_Model_Type, or a derived type, otherwise returns `FALSE`.

### Parameters

`data_object`

  The SDO_DataObject to be tested.

### Return Values

Returns `TRUE` if the SDO_DataObject provided is an instance of this SDO_Model_Type, or a derived type, otherwise returns `FALSE`.

SDO_Model_Type::isDataType
SDO_Model_Type::isOpenType
SDO Functions
PHP Manual